Bug 235168 - Warn the user when comparing 32bit vs. 64bit heap dumps or memory snapshots
Warn the user when comparing 32bit vs. 64bit heap dumps or memory snapshots
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.3
All All
: P3 (vote)
: 8.0
Assigned To: Jiri Sedlacek
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 12:19 UTC by Jiri Sedlacek
Modified: 2013-09-29 01:34 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2013-08-28 12:19:54 UTC
The user should be notified when comparing two heap dumps taken on different architectures as the sizes are not comparable in such case. Not sure if this is also possible for memory snapshots.

More general, it would be nice to warn the user when comparing two heap dumps or memory snapshots with different Object size, which means different architectures, heap structure etc.
Comment 1 Jiri Sedlacek 2013-09-25 12:57:42 UTC
Implemented java.lang.Object size checking for comparing heap dumps and memory snapshots. Comparing instrumented allocations snapshots affected by #236363.

Addressed by http://hg.netbeans.org/profiler-main/rev/0ca3bd429837.
Comment 2 Quality Engineering 2013-09-29 01:34:18 UTC
Integrated into 'main-silver', will be available in build *201309290002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/0ca3bd429837
User: Jiri Sedlacek <jis@netbeans.org>
Log: Implemented #235168 - checking Object size when comparing heap dumps and memory snapshots


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo